package logic

import (
	"context"

	"juwan-backend/app/users/rpc/internal/svc"
	"juwan-backend/app/users/rpc/pb"

	"github.com/zeromicro/go-zero/core/logx"
)

type UpdateUserFollowsLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewUpdateUserFollowsLogic(ctx context.Context, svcCtx *svc.ServiceContext) *UpdateUserFollowsLogic {
	return &UpdateUserFollowsLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *UpdateUserFollowsLogic) UpdateUserFollows(in *pb.UpdateUserFollowsReq) (*pb.UpdateUserFollowsResp, error) {
	// todo: add your logic here and delete this line

	return &pb.UpdateUserFollowsResp{}, nil
}
